Bug 807419 - nss-tools certutil -H does not list all options
nss-tools certutil -H does not list all options
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Elio Maldonado Batiz
Hubert Kario
:
Depends On:
Blocks: 977341 977342
  Show dependency treegraph
 
Reported: 2012-03-27 14:19 EDT by Jason Pyeron
Modified: 2013-09-30 18:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: nss-3.14.3-10.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 977341 977342 (view as bug list)
Environment:
Last Closed: 2013-09-30 18:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 841788 None None None Never

  None (edit)
Description Jason Pyeron 2012-03-27 14:19:01 EDT
Description of problem: when issuing certutil -H it does not list -F to delete private keys.


Version-Release number of selected component (if applicable):

nss-tools-3.12.7-2

How reproducible:

always

Expected results:

list all options, ex as shown at http://www.mozilla.org/projects/security/pki/nss/tools/certutil.html
Comment 2 Jason Pyeron 2013-02-15 06:52:10 EST
What info is needed?

-H sould show -F as an option.
Comment 3 Aleš Mareček 2013-02-15 07:39:19 EST
Hi Jason,
thanks for the clarification. If you find any other issue, please let us know.
Thanks and Regards!
Comment 4 Elio Maldonado Batiz 2013-02-15 12:24:27 EST
Entered upstream bug, see external trackers, and submitted a patch.
Comment 5 RHEL Product and Program Management 2013-04-15 10:18:48 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 6 RHEL Product and Program Management 2013-04-15 10:20:58 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 7 Elio Maldonado Batiz 2013-04-15 13:29:03 EDT
Please include this request. It's a documentation issue, a very easy fix to the help command of the tool which I should have reviewed and approved upstream very soon.
Comment 8 Suzanne Forsberg 2013-04-24 10:12:10 EDT
(In reply to comment #7)
> Please include this request. It's a documentation issue, a very easy fix to
> the help command of the tool which I should have reviewed and approved
> upstream very soon.

Setting devel-ack based on this comment.
Comment 10 Elio Maldonado Batiz 2013-06-18 12:18:48 EDT
Brought the patch that was applied upstream.
Comment 14 errata-xmlrpc 2013-09-30 18:40:23 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1318.html

Note You need to log in before you can comment on or make changes to this bug.